CVE-2019-14657 – Yealink phones through 2019-08-04 have an issue with OpenVPN file upload. They execute tar …

Vuln ID: CVE-2019-14657

Published:  2019-10-08  13:15:15Z

Description: Yealink phones through 2019-08-04 have an issue with OpenVPN file upload. They execute tar as root to extract files, but do not validate the extraction directory. Creating a tar file with ../../../../ allows replacement of almost any file on a phone. This leads to password replacement and arbitrary code execution as root.

Source: NVD.NIST.GOV

 

Tags